<?php
/*
Plugin Name: TablePress Extension: Turn off DataTables for new tables
Plugin URI: https://tablepress.org/extensions/datatables-off-new-tables/
Description: Custom Extension for TablePress that turns off the usage of DataTables for new tables by default
Version: 1.0
Author: Tobias Bäthge
Author URI: https://tobias.baethge.com/
*/

/*
 * Register necessary Plugin Filters.
 */
add_filter( 'tablepress_table_template', 'tablepress_turn_off_datatables_new_tables' );

/**
 * Turn off the usage of DataTables by default in the page template for new tables
 *
 * @since 1.0
 *
 * @param array $table Table template.
 * @return array Modified table template.
 */
function tablepress_turn_off_datatables_new_tables( $table ) {
	$table['options']['use_datatables'] = false;
	return $table;
}
